Backporting for LTS 2.121.1 started

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Backporting for LTS 2.121.1 started

Oliver Gondža-2
Backporting has started and the RC is scheduled for 2018-05-23.

Candidates: https://issues.jenkins-ci.org/issues/?filter=12146
Fixed:
https://issues.jenkins-ci.org/issues/?jql=labels%20%3D%202.121.1-fixed
Rejected:
https://issues.jenkins-ci.org/issues/?jql=labels%20%3D%202.121.1-rejected
--
oliver

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/cdfe938c-0c14-c9fa-5cc4-a0c210f514dd%40gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Backporting for LTS 2.121.1 started

Oliver Gondža-2
The backporting window is closing this Wednesday. There ware no candidates nominated (likely due to recent baseline choice) BUT there is the outstanding problem of JENKINS-51253[0].

There does not seem to be a consensus on whether/how to fix it[1] so I am wondering which version of remoting we prefer to use for 2.121 LTS. I lean towards using pre-JENKINS-45287[2] remoting - before the regression was introduced. But there are alternatives of shipping current master or expediting the fix.

Thoughts?

[0] https://issues.jenkins-ci.org/browse/JENKINS-51253
[1] https://github.com/jenkinsci/packaging/pull/107
[2] https://issues.jenkins-ci.org/browse/JENKINS-45287

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/6ba611bf-61ca-4f37-b346-06b5322daa3a%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Backporting for LTS 2.121.1 started

Daniel Beck

> On 21. May 2018, at 10:06, ogondza <[hidden email]> wrote:
>
> The backporting window is closing this Wednesday. There ware no candidates nominated (likely due to recent baseline choice) BUT there is the outstanding problem of JENKINS-51253[0].
>
> There does not seem to be a consensus on whether/how to fix it[1] so I am wondering which version of remoting we prefer to use for 2.121 LTS. I lean towards using pre-JENKINS-45287[2] remoting - before the regression was introduced. But there are alternatives of shipping current master or expediting the fix.
>
> Thoughts?
>
> [0] https://issues.jenkins-ci.org/browse/JENKINS-51253
> [1] https://github.com/jenkinsci/packaging/pull/107
> [2] https://issues.jenkins-ci.org/browse/JENKINS-45287

I assume s/remoting/packaging/g here, otherwise I'm really confused.

The current packaging (or at least the bits that don't declare a Java dependency) has been used in weekly releases for a long time successfully, and probably for the 2.89.x line and older as well. We document the intended behavior on the repo index page (see PR discussion). It's just an oversight that resulted in the outdated packaging being used for 2.107.1 and 2.107.2.

IMO we could mention this in the upgrade guide, complete with explanation similar to the package repo index pages, and done. No reason to diverge LTS packaging from weekly packaging deliberately.

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/891E05A0-1BEA-469E-BC14-6C66955EDE53%40beckweb.net.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Backporting for LTS 2.121.1 started

Oliver Gondža-2
On 2018-05-21 14:26, Daniel Beck wrote:

> The current packaging (or at least the bits that don't declare a Java dependency) has been used in weekly releases for a long time successfully, and probably for the 2.89.x line and older as well. We document the intended behavior on the repo index page (see PR discussion). It's just an oversight that resulted in the outdated packaging being used for 2.107.1 and 2.107.2.

Hmm, I was under impression 1.107.3 was the first LTS with given
packaging change but you are right, it was in 2.73 and 2.89 as well.

> IMO we could mention this in the upgrade guide, complete with explanation similar to the package repo index pages, and done. No reason to diverge LTS packaging from weekly packaging deliberately.

If we do not intend to "fix" that (and I am not saying we should), then yes.

--
oliver

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/be120f20-53ad-4682-4fda-62b3d5ffa322%40gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Backporting for LTS 2.121.1 started

ivilacides
Hi Oliver,

Any news on publishing the 2.121.1 in http://mirrors.jenkins.io/war-stable/?

Thanks in advance

On Monday, May 21, 2018 at 2:44:31 PM UTC+2, ogondza wrote:
On 2018-05-21 14:26, Daniel Beck wrote:

> The current packaging (or at least the bits that don't declare a Java dependency) has been used in weekly releases for a long time successfully, and probably for the 2.89.x line and older as well. We document the intended behavior on the repo index page (see PR discussion). It's just an oversight that resulted in the outdated packaging being used for 2.107.1 and 2.107.2.

Hmm, I was under impression 1.107.3 was the first LTS with given
packaging change but you are right, it was in 2.73 and 2.89 as well.

> IMO we could mention this in the upgrade guide, complete with explanation similar to the package repo index pages, and done. No reason to diverge LTS packaging from weekly packaging deliberately.

If we do not intend to "fix" that (and I am not saying we should), then yes.

--
oliver

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/f2d537d4-3421-4773-bba9-db8438ae1146%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Backporting for LTS 2.121.1 started

Joseph P
In reply to this post by Oliver Gondža-2
I think this issue deserves backporting before releasing LTS 2.121.1, https://issues.jenkins-ci.org/browse/JENKINS-51603

Rather minor fix but important for CasC

torsdag den 10. maj 2018 kl. 13.38.01 UTC+2 skrev ogondza:
Backporting has started and the RC is scheduled for 2018-05-23.

Candidates: <a href="https://issues.jenkins-ci.org/issues/?filter=12146" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fissues.jenkins-ci.org%2Fissues%2F%3Ffilter%3D12146\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFV1gVcrfnbL9XL8H1i20jBPdDFJg&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fissues.jenkins-ci.org%2Fissues%2F%3Ffilter%3D12146\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFV1gVcrfnbL9XL8H1i20jBPdDFJg&#39;;return true;">https://issues.jenkins-ci.org/issues/?filter=12146
Fixed:
<a href="https://issues.jenkins-ci.org/issues/?jql=labels%20%3D%202.121.1-fixed" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fissues.jenkins-ci.org%2Fissues%2F%3Fjql%3Dlabels%2520%253D%25202.121.1-fixed\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHEqL6jOuugQgUKlHS2sWl-HVM_bQ&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fissues.jenkins-ci.org%2Fissues%2F%3Fjql%3Dlabels%2520%253D%25202.121.1-fixed\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHEqL6jOuugQgUKlHS2sWl-HVM_bQ&#39;;return true;">https://issues.jenkins-ci.org/issues/?jql=labels%20%3D%202.121.1-fixed
Rejected:
<a href="https://issues.jenkins-ci.org/issues/?jql=labels%20%3D%202.121.1-rejected" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fissues.jenkins-ci.org%2Fissues%2F%3Fjql%3Dlabels%2520%253D%25202.121.1-rejected\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHMMO74HXIKiGYheyeWoyXCifh_tg&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fissues.jenkins-ci.org%2Fissues%2F%3Fjql%3Dlabels%2520%253D%25202.121.1-rejected\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHMMO74HXIKiGYheyeWoyXCifh_tg&#39;;return true;">https://issues.jenkins-ci.org/issues/?jql=labels%20%3D%202.121.1-rejected
--
oliver

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/0cbe46a6-de6d-4b39-84a1-50b4a448b3b0%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Backporting for LTS 2.121.1 started

Jesse Glick-4
On Mon, Jun 4, 2018 at 12:30 PM, Joseph P <[hidden email]> wrote:
> Rather minor fix but important for CasC

JCasC is still experimental so I do not suppose core changes to better
support it should be considered eligible for LTS backport.

--
You received this message because you are subscribed to the Google Groups "Jenkins Developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-dev/CANfRfr1Rm0KBatyHemAM_80sr5Xqqr4Wvr-ovNs%2B2sLtZ%2Bvmcg%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.